Skip to main content
GET
/
api
/
v1
/
sources
List Sources
curl --request GET \
  --url https://api.example.com/api/v1/sources \
  --header 'Authorization: Bearer <token>'
{
  "sources": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content_type": "<string>",
      "sequence": 123,
      "extraction_status": "<string>",
      "token_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "meta": "<unknown>",
      "content_preview": ""
    }
  ],
  "count": 123,
  "total": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT access token or API key (csk_…)

Query Parameters

space_id
string<uuid> | null
content_type
string | null
extraction_status
string | null
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

sources
SourceSummary · object
required
count
integer
required
total
integer
default:0

Total matching sources (for pagination)